import request from '@/utils/request'

//违规列表-历史记录
export function creditFoulsHis(data) {
  return request({
    url: '/credit/fouls/his',
    method: 'post',
    data: data
  })
}
//新增违规记录
export function creditFoulsAdd(data) {
  return request({
    url: '/credit/fouls/add',
    method: 'post',
    data: data
  })
}
//违规列表
export function creditFoulsList(query) {
  return request({
    url: '/credit/fouls/list',
    method: 'get',
    params: query
  })
}
//违规列表添加到黑名单
export function creditFoulsAddBlacklists(query) {
  return request({
    url: '/credit/fouls/addBlacklists',
    method: 'get',
    params: query
  })
}
//违规列表移除黑名单
export function creditFoulsRemoveBlacklists(query) {
  return request({
    url: '/credit/fouls/removeBlacklists',
    method: 'get',
    params: query
  })
}

//积分列表
export function creditMainListUser(data) {
  return request({
    url: '/credit/main/listUser',
    method: 'post',
    data: data
  })
}
//信用分明细
export function creditMainListCre(data) {
  return request({
    url: '/credit/main/listCre',
    method: 'post',
    data: data
  })
}
//奖励分明细
export function creditMainListAward(data) {
  return request({
    url: '/credit/main/listAward',
    method: 'post',
    data: data
  })
}
//奖励分统计
export function creditMainSelectPointStatistics(query) {
  return request({
    url: '/credit/main/selectPointStatistics',
    method: 'get',
    params: query
  })
}
//个人信用分/奖励分统计
export function creditMainSelectDetailStatistics(query) {
  return request({
    url: '/credit/main/selectDetailStatistics',
    method: 'get',
    params: query
  })
}
//个人-奖励分明细
export function creditMainGetUserReward(data) {
  return request({
    url: '/credit/main/getUserReward',
    method: 'post',
    data: data
  })
}
//个人-信用分明细
export function creditMainGetUserCre(data) {
  return request({
    url: '/credit/main/getUserCre',
    method: 'post',
    data: data
  })
}
//个人-违规记录
export function creditFoulsPersonal(data) {
  return request({
    url: '/credit/fouls/personal',
    method: 'post',
    data: data
  })
}
//查询奖励项配置
export function creditItemListAllAward(query) {
  return request({
    url: '/credit/item/listAll/award',
    method: 'get',
    params: query
  })
}
//查询违规项配置
export function creditItemListAllCredit(query) {
  return request({
    url: '/credit/item/listAll/credit',
    method: 'get',
    params: query
  })
}
//修改奖励项配置
export function creditItemEditAward(data) {
  return request({
    url: '/credit/item/edit/award',
    method: 'post',
    data: data
  })
}
//修改违规项配置
export function creditItemEditCredit(data) {
  return request({
    url: '/credit/item/edit//credit',
    method: 'post',
    data: data
  })
}
//查询信用分设置
export function creditCreditConfigQuery(query) {
  return request({
    url: '/credit/credit/config/query',
    method: 'get',
    params: query
  })
}
//修改信用分设置
export function creditCreditConfigAdd(data) {
  return request({
    url: '/credit/credit/config/add',
    method: 'post',
    data: data
  })
}
