import request from '@/utils/request'

//分级管控-条件设置-列表
export function laboratoryGradeManageList(data) {
  return request({
    url: '/laboratory/gradeManage/list',
    method: 'post',
    data: data
  })
}
//分级管控-条件设置-人员列表
export function systemUserSelectByPage(data) {
  return request({
    url: '/system/user/selectByPage',
    method: 'post',
    data: data
  })
}
//分级管控-条件设置-新增
export function laboratoryGradeManageAdd(data) {
  return request({
    url: '/laboratory/gradeManage/add',
    method: 'post',
    data: data
  })
}
//分级管控-条件设置-编辑
export function laboratoryGradeManageUpdate(data) {
  return request({
    url: '/laboratory/gradeManage/update',
    method: 'post',
    data: data
  })
}
//分级管控-条件设置-详情
export function laboratoryGradeManageDetail(query) {
  return request({
    url: '/laboratory/gradeManage/detail',
    method: 'get',
    params: query
  })
}
//分级管控-条件设置-详情
export function laboratoryGradeManageDelete(data) {
  return request({
    url: '/laboratory/gradeManage/delete',
    method: 'post',
    data: data
  })
}
// 查询分级控管理列表
export function gradeManageWorkList(query) {
  return request({
    url: '/laboratory/gradeManageWork/list',
    method: 'get',
    params: query
  })
}
// 查询管控执行记录列表
export function laboratoryGradeManageRecordList(data) {
  return request({
    url: '/laboratory/gradeManageRecord/list',
    method: 'post',
    data: data
  })
}
// 管控执行记录详情
export function laboratoryGradeManageWorkDetail(query) {
  return request({
    url: '/laboratory/gradeManageWork/detail',
    method: 'get',
    params: query
  })
}
